Verify Email
curl --request POST \
--url https://api.sixtyfour.ai/verify-email \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "saarth.work@example.com"
}
'import requests
url = "https://api.sixtyfour.ai/verify-email"
payload = { "email": "saarth.work@example.com" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'saarth.work@example.com'})
};
fetch('https://api.sixtyfour.ai/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/verify-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'saarth.work@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/verify-email"
payload := strings.NewReader("{\n \"email\": \"saarth.work@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/verify-email")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"saarth.work@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/verify-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"saarth.work@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"email": "saarth.work@example.com",
"status": "OK",
"score": 100
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 120 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Find Email
Verify Email
Check whether one email address can receive mail. Responds in under a second for most addresses and within about two seconds at most; UNKNOWN results are not charged.
POST
/
verify-email
Verify Email
curl --request POST \
--url https://api.sixtyfour.ai/verify-email \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "saarth.work@example.com"
}
'import requests
url = "https://api.sixtyfour.ai/verify-email"
payload = { "email": "saarth.work@example.com" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'saarth.work@example.com'})
};
fetch('https://api.sixtyfour.ai/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/verify-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'saarth.work@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/verify-email"
payload := strings.NewReader("{\n \"email\": \"saarth.work@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/verify-email")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"saarth.work@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/verify-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"saarth.work@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"email": "saarth.work@example.com",
"status": "OK",
"score": 100
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 120 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Response
Successful Response
OK: the mail server accepted the address. RISKY: it can receive mail but delivery is uncertain, usually a company domain that accepts any address. INVALID: the address or its domain does not exist. UNKNOWN: the mail server gave no clear answer, or none within about 1.5 seconds. UNKNOWN is not charged.
Available options:
OK, RISKY, INVALID, UNKNOWN Was this page helpful?